Bug 432332 - (CVE-2007-6286) CVE-2007-6286 Tomcat5 Data integrity
CVE-2007-6286 Tomcat5 Data integrity
Status: CLOSED RAWHIDE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://tomcat.apache.org/security-6.html
impact=important,source=apache,report...
: Security
Depends On: 432474 432475 432476 433610 433611
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 05:57 EST by Marc Schoenefeld
Modified: 2008-03-03 02:38 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.5.26-1jpp.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 02:38:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-02-11 05:57:54 EST
important: Data integrity   CVE-2007-6286

When using the native (APR based) connector, connecting to the SSL port using
netcat and then disconnecting without sending any data will cause tomcat to
handle a duplicate copy of one of the recent requests.

Affects: 6.0.0-6.0.15
Comment 3 Fedora Update System 2008-02-12 15:32:01 EST
tomcat5-5.5.26-1jpp.2.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-12 15:34:08 EST
tomcat5-5.5.26-1jpp.2.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-02-12 23:54:23 EST
tomcat5-5.5.26-1jpp.2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-13 00:14:05 EST
tomcat5-5.5.26-1jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.